Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xpath
Class XNumber

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.XObject
            |
            +--weblogic.apache.xalan.xpath.XNumber

Deprecated. This compatibility layer will be removed in later releases.

public class XNumber
extends XObject

This class represents an XPath number, and is capable of converting the number to other types, such as a string.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Constructor Summary
`XNumber(double d)` Deprecated. Construct a XNodeSet object.

Method Summary
`boolean` | `bool()` Deprecated. Cast result object to a boolean.
`boolean` | `equals(XObject obj2)` Deprecated. Tell if two objects are functionally equal.
`int` | `getType()` Deprecated. Tell that this is a CLASS_NUMBER.
`java.lang.String` | `getTypeString()` Deprecated. Given a request type, return the equivalent string.
`double` | `num()` Deprecated. Cast result object to a number.
`java.lang.Object` | `object()` Deprecated. Return a java object that's closes to the represenation that should be handed to an extension.
`java.lang.String` | `str()` Deprecated. Cast result object to a string.

Methods inherited from class weblogic.apache.xalan.xpath.XObject
`castToType, error, error, greaterThan, greaterThanOrEqual, lessThan, lessThanOrEqual, mutableNodeset, nodeset, notEquals, rtree, rtree, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XNumber

    public XNumber(double d)

  Deprecated.
  Construct a XNodeSet object.

Method Detail

### getType

    public int getType()

  Deprecated.
  Tell that this is a CLASS_NUMBER.

  Overrides:
    getType in class XObject

### getTypeString

    public java.lang.String getTypeString()

  Deprecated.
  Given a request type, return the equivalent string. For diagnostic purposes.

  Overrides:
    getTypeString in class XObject

### num

    public double num()

  Deprecated.
  Cast result object to a number.

  Overrides:
    num in class XObject

### bool

    public boolean bool()

  Deprecated.
  Cast result object to a boolean.

  Overrides:
    bool in class XObject

### str

    public java.lang.String str()

  Deprecated.
  Cast result object to a string.

  Overrides:
    str in class XObject

### object

    public java.lang.Object object()

  Deprecated.
  Return a java object that's closes to the represenation that should be handed to an extension.

  Overrides:
    object in class XObject

### equals

    public boolean equals(XObject obj2)
                   throws org.xml.sax.SAXException

  Deprecated.
  Tell if two objects are functionally equal.

  Overrides:
    equals in class XObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference